Index: trunk/gsdl3/web/interfaces/classic/transform/about.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/about.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/about.xsl	(revision 13254)
@@ -24,7 +24,6 @@
   <xsl:template match="pageResponse">
     <xsl:variable name="collName" select="/page/pageRequest/paramList/param[@name='c']/@value"/>
-<!--    <center>-->
       <xsl:apply-templates select="collection"><xsl:with-param name="collName" select="$collName"/></xsl:apply-templates>
-    <!--</center>-->
+
   </xsl:template>
 
@@ -38,4 +37,5 @@
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:call-template>
+    <div class="document">
     <xsl:if test="/page/pageRequest/paramList/param[@name='ct']/@value = 0">
     <xsl:apply-templates select="serviceList/service[@name='TextQuery']">
@@ -43,4 +43,6 @@
     <xsl:call-template name="dividerBar"/>
     </xsl:if>
+    </div>
+    <div>
     <xsl:if test="displayItem[@name='description']">
     <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.aboutcoll')"/></h3>
@@ -48,6 +50,6 @@
     </xsl:if>
     <xsl:apply-templates select="." mode="simplehelp"/>
+    </div>	
   </xsl:template>
-
 
 </xsl:stylesheet>  
Index: trunk/gsdl3/web/interfaces/classic/transform/classifier.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/classifier.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/classifier.xsl	(revision 13254)
@@ -19,5 +19,4 @@
   <xsl:template name="pageStyle"/>
 
-
   <xsl:template match="pageResponse">
     <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
@@ -32,5 +31,4 @@
       </xsl:choose>
     </xsl:variable>
-    <center>
       <xsl:call-template name="standardPageBanner">
 	<xsl:with-param name="collName" select="$collName"/>
@@ -42,10 +40,10 @@
 	<xsl:with-param name="clTop" select="$clTop"/>
       </xsl:call-template>      
-      <p/>
+      <div class="document">
       <xsl:apply-templates select="classifier">
 	<xsl:with-param name="collName" select="$collName"/>
 	<xsl:with-param name="serviceName" select="$serviceName"/>
       </xsl:apply-templates>
-    </center>
+      </div>
   </xsl:template>
   
Index: trunk/gsdl3/web/interfaces/classic/transform/document.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/document.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/document.xsl	(revision 13254)
@@ -17,10 +17,10 @@
     <html>
       <xsl:call-template name="pageHead"/>
-      <body style="background-image: none;">
-         <center>
-		    <xsl:apply-templates select="pageResponse"/>
-		    <xsl:call-template name="greenstoneFooter"/>
-	    </center>
-	  </body>
+      <body>
+        <div id="page">
+           <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>
+	</div>  
+       </body>
     </html>
   </xsl:template>
@@ -46,6 +46,4 @@
   <xsl:template match="pageResponse">
     <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
-    <table width="537">
-      <tr><td>
     <xsl:call-template name="standardPageBanner">
       <xsl:with-param name="collName" select="$collName"/>
@@ -54,21 +52,19 @@
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:call-template>
-    </td></tr></table>      
+    <div class="document">     
     <!-- display the document -->
     <xsl:apply-templates select="document">
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:apply-templates>
-    <table width='537'><tr><td>
-    <xsl:call-template name="dividerBar"/>
-    </td></tr></table>
+   </div>
   </xsl:template>
 	
   <xsl:template match="document">
     <xsl:param name="collName"/>
-    <table width='537'><tr><td>
+    
     <xsl:call-template name="documentHeading">
       <xsl:with-param name="collName" select="$collName"/>
     </xsl:call-template>
-    </td></tr></table>
+    
     <xsl:call-template name="documentContent">
       <xsl:with-param name="collName" select="$collName"/>
@@ -83,37 +79,36 @@
     <xsl:variable name="p.sa" select="/page/pageRequest/paramList/param[@name='p.sa']/@value"/>
     <xsl:variable name="p.s" select="/page/pageRequest/paramList/param[@name='p.s']/@value"/>
-    <table><tr><td>
-	  <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$collName}&amp;rt=r"><xsl:call-template name="openbookimg"><xsl:with-param name="title">Close this book and return to search/browse</xsl:with-param>
-	  </xsl:call-template></a></td>
-	<td valign='top'><b><font size="+1">&#160;
-	      <xsl:choose><xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when><xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise></xsl:choose>
-	    </font></b></td>
-      </tr></table>
-
-    <table cellpadding="10" cellspacing="0">
-      <tr>
-	<td valign="top" align="left">
-	  <xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
-	    <xsl:call-template name="coverImage"/>
-	    <p/>
-	  </xsl:if>
-	  
-	  <xsl:call-template name="documentButtons">
+    <div class="heading_image">
+       <xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
+	<xsl:call-template name="coverImage"/> 
+       </xsl:if>
+    </div>
+    <div class="buttons" id="toc_buttons">
+        <xsl:call-template name="documentButtons">
 	    <xsl:with-param name="collName" select="$collName"/>
-	  </xsl:call-template>
-	  <!--<xsl:call-template name="enrichServices">
+	</xsl:call-template>
+    </div>
+
+    <!--<div><xsl:call-template name="enrichServices">
 	    <xsl:with-param name="collName" select="$collName"/>
-	  </xsl:call-template>-->
-	</td>
-	<xsl:if test="string($doTOC) != 'false'">
-	  <td valign="top" align="left">
+	  </xsl:call-template></div>-->
+
+    <div class="toc">
+        <table class="v_list"><tr valign="top"><td valign="top"> <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$collName}&amp;rt=r"><xsl:call-template name="openbookimg"><xsl:with-param name="title">Close this book and return to search/browse</xsl:with-param>
+	  </xsl:call-template></a></td><td valign="top"></td>
+         <td valign="top">
+ 	    <xsl:choose><xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when><xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise></xsl:choose>
+          </td></tr>
+         </table>
+        <xsl:if test="string($doTOC) != 'false'">
+	  <table><tr valign="top"><td><img alt="" src="/gsdl/images/space.gif" width="25"/></td><td><table class="v_list">
 	    <xsl:call-template name="TOC">
 	      <xsl:with-param name="collName" select="$collName"/>
 	    </xsl:call-template>
-	  </td>
-	</xsl:if>
-      </tr>
-    </table>
-  </xsl:template>
+	    </table>
+          </td></tr></table>
+	</xsl:if>  	 	   
+      </div>
+   </xsl:template>
 
   <xsl:template name="coverImage">
@@ -127,49 +122,54 @@
     <xsl:variable name="ec" select="/page/pageRequest/paramList/param[@name='ec']/@value"/>
     <xsl:variable name="ed" select="/page/pageRequest/paramList/param[@name='ed']/@value"/>
-    
-    <table>
+   
+   
       <!-- expand document -->
-      <!-- this doesn't work with MG so comment it out for now -->
-      
+      <!-- this doesn't work with MG so comment it out for now -->      
       <xsl:if test="@docType = 'hierarchy' or @docType = 'paged'">
-      <tr><td class="gsbutton">
+      <div class="button">
+        <span class="button">
 	  <xsl:choose><xsl:when test="string($ed)='1'">
-	      <a class="gsbutton" href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_tip')"/></xsl:attribute>
-		  <font size='-2'><xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/></font>
+	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_tip')"/></xsl:attribute>
+		  <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/>
 	      </a>
 	    </xsl:when>
 	    <xsl:otherwise>
-	  <a class="gsbutton" href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_tip')"/></xsl:attribute>
-	    <font size='-2'><xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_b')"/></font>
-	  </a>
+	        <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_tip')"/></xsl:attribute>
+	   <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_b')"/>
+	      </a>
 	    </xsl:otherwise>
 	  </xsl:choose>
-	</td></tr>
+         </span>
+	</div>
       </xsl:if> 
       
       <!-- expand contents -->
       <xsl:if test="@docType = 'hierarchy' and string(/page/pageResponse/format/gsf:option[@name='documentTOC']/@value) != 'false'">
-      <tr><td class="gsbutton">
+      <div class="button">
+        <span class="button">
 	  <xsl:choose><xsl:when test="string($ec)='1'">
-	      <a class="gsbutton" href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_tip')"/></xsl:attribute>
-		  <font size='-2'><xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/></font>
+	      <a  href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=0"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_tip')"/></xsl:attribute>
+		 <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/>
 	      </a>
 	    </xsl:when>
 	    <xsl:otherwise>
-	      <a class="gsbutton" href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_tip')"/></xsl:attribute>
-		<font size='-2'><xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_b')"/></font>
+	      <a  href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=1"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_tip')"/></xsl:attribute>
+		<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_contents_b')"/>
 	      </a>
 	    </xsl:otherwise>
 	  </xsl:choose>
-	</td></tr>
+	 </span>
+	</div>
       </xsl:if>
       <!-- detach page -->
       <xsl:variable name="paramList" select="/page/pageRequest/paramList"/>
-      <tr><td class="gsbutton">
-	  <a class="gsbutton" target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
-	    <font size='-2'><xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/></font>
-	  </a></td></tr>
-    </table>
-  </xsl:template>
+      <div class="button">
+        <span class="button">
+	  <a  target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
+	    <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/>
+	  </a>
+         </span>
+      </div>
+   </xsl:template>
 
   <xsl:template name="TOC">
@@ -196,5 +196,4 @@
     <xsl:variable name="ec" select="/page/pageRequest/paramList/param[@name='ec']/@value"/>
     <xsl:if test="documentNode[@nodeID]">
-      <table>
 	<tr valign='top'><td>
 	    <xsl:choose><xsl:when test="string($oc)='0'">
@@ -212,5 +211,4 @@
 	    </td></tr>
 	</xsl:if>
-      </table>
     </xsl:if>
   </xsl:template>
@@ -254,5 +252,5 @@
   <!-- default content is to print the title and content of any documentNodes that have nodeContent -->
   <xsl:template name="documentContent">
-    <div align="left">
+    <div class="documenttext">
       <xsl:choose>
         <xsl:when test="@docType='simple'">
@@ -329,5 +327,4 @@
     <xsl:variable name="length" select="nodeStructureInfo/info[@name='numSiblings']/@value"/>
     <xsl:variable name="children" select="nodeStructureInfo/info[@name='numChildren']/@value"/>
-    <table>
       <xsl:choose>
 	<xsl:when test="$pos=-1"><!-- a doc -->
@@ -373,6 +370,5 @@
 	</td>
       </tr>
-    </table>
-  </xsl:template>
+   </xsl:template>
   
   <xsl:template name="enrichServices">
Index: trunk/gsdl3/web/interfaces/classic/transform/home.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/home.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/home.xsl	(revision 13254)
@@ -18,5 +18,4 @@
   <!-- page specific style goes here -->
   <xsl:template name="pageStyle"/>
-
 
   <xsl:template match="pageResponse">
@@ -43,11 +42,12 @@
     </xsl:for-each> 
     <xsl:call-template name="collWarning"/>
-    <xsl:call-template name="dividerBar"/>
   </xsl:template> 
   
   <xsl:template name="collWarning">
-    <p><xsl:value-of select="util:getInterfaceText('classic', /page/@lang, 'home.coll_warning')"/>
-    </p>
-  </xsl:template>
+    <xsl:call-template name="dividerBar"/>	
+    <div>
+      <xsl:value-of select="util:getInterfaceText('classic', /page/@lang, 'home.coll_warning')"/>
+    </div>	
+   </xsl:template>
 </xsl:stylesheet>  
 
Index: trunk/gsdl3/web/interfaces/classic/transform/query-common.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/query-common.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/query-common.xsl	(revision 13254)
@@ -11,24 +11,27 @@
     <xsl:param name="collName"/>
     <xsl:variable name="subaction" select="../pageRequest/@subaction"/>
-    <form name="QueryForm" method="get" action="{$library_name}">
-      <input type="hidden" name="a" value="q"/>
-      <input type="hidden" name="sa" value="{$subaction}"/>
-      <input type="hidden" name="rt" value="rd"/>
-      <input type="hidden" name="s" value="{@name}"/>
-      <input type="hidden" name="c" value="{$collName}"/>
-      <input type="hidden" name="startPage" value="1"/>
+    <div class="queryform">
+     <p> 
+      <form name="QueryForm" method="get" action="{$library_name}">
+        <input type="hidden" name="a" value="q"/>
+        <input type="hidden" name="sa" value="{$subaction}"/>
+        <input type="hidden" name="rt" value="rd"/>
+        <input type="hidden" name="s" value="{@name}"/>
+        <input type="hidden" name="c" value="{$collName}"/>
+        <input type="hidden" name="startPage" value="1"/>
       <xsl:apply-templates select="paramList"/>
-    </form>
+      </form>
+     </p> 
+    </div>
   </xsl:template>
   
   <!-- a special handling of the param list - we override the one in service-params -->
   <xsl:template match="paramList" priority='2'>
-    <table>
-      <tr><td>
+    <span class="textselect">
 	  Search for <xsl:apply-templates select="param[@name='index']"><xsl:with-param name="default"><xsl:apply-templates select="param[@name='index']" mode="calculate-default"/></xsl:with-param></xsl:apply-templates><xsl:if test="param[@name='level']">at <xsl:apply-templates select="param[@name='level']"><xsl:with-param name="default"><xsl:apply-templates select="param[@name='level']" mode="calculate-default"/></xsl:with-param></xsl:apply-templates> level</xsl:if><xsl:call-template name='query_mode'/>
-	</td></tr>
-	<tr><td></td></tr>
-      <xsl:call-template name="query-and-submit"/>
-    </table>
+    </span>	
+    <span class="querybox"> 
+     <xsl:call-template name="query-and-submit"/>
+    </span>
   </xsl:template>
   
@@ -86,13 +89,12 @@
 	<xsl:choose>
 	  <xsl:when test="$qfm=1">
-	    <tr><td><xsl:apply-templates select="param[@name='complexField']"/></td></tr>
+	     <xsl:apply-templates select="param[@name='complexField']"/>
 	  </xsl:when>
 	  <xsl:otherwise>
-	    <tr><td><xsl:apply-templates select="param[@name='simpleField']"/></td></tr>
+	     <xsl:apply-templates select="param[@name='simpleField']"/>
 	  </xsl:otherwise>
 	</xsl:choose>
-	<tr><td align='right'>
 	    <input type="submit"><xsl:attribute name="value"><xsl:value-of select="../displayItem[@name='submit']"/></xsl:attribute></input>
-	  </td></tr>
+	 
       </xsl:when>
       <xsl:otherwise> <!-- doing text query -->
@@ -100,19 +102,13 @@
 	<xsl:choose>
 	  <xsl:when test="$qb=1"><!-- large query box -->
-	    <tr><td>
-		<textarea name="query" cols='63' rows='10'>
+	       <textarea name="query" cols='63' rows='10'>
 		  <xsl:apply-templates select="param[@name='query']" mode="calculate-default"/><xsl:text> </xsl:text><!-- put a space here just in case there is no value- mozilla craps out if have a <textarea /> element -->
 		</textarea>
-	      </td></tr>
-	    <tr><td align='right'>
-		<input type="submit"><xsl:attribute name="value"><xsl:value-of select="../displayItem[@name='submit']"/></xsl:attribute></input>
-	      </td></tr>
-	  </xsl:when>
+	   <input type="submit"><xsl:attribute name="value"><xsl:value-of select="../displayItem[@name='submit']"/></xsl:attribute></input>
+	   </xsl:when>
 	  <xsl:otherwise>
-	    <tr><td>
-		<xsl:variable name="qs"><xsl:apply-templates select="param[@name='query']" mode="calculate-default"/></xsl:variable>
+	 	<xsl:variable name="qs"><xsl:apply-templates select="param[@name='query']" mode="calculate-default"/></xsl:variable>
 		<nobr><xsl:apply-templates select="param[@name='query']"><xsl:with-param name="default" select="java:org.greenstone.gsdl3.util.XSLTUtil.tidyWhitespace($qs)"/></xsl:apply-templates><input type="submit"><xsl:attribute name="value"><xsl:value-of select="../displayItem[@name='submit']"/></xsl:attribute></input></nobr>
-	      </td></tr>
-	  </xsl:otherwise>
+	   </xsl:otherwise>
 	</xsl:choose>
       </xsl:otherwise>
Index: trunk/gsdl3/web/interfaces/classic/transform/query.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/query.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/query.xsl	(revision 13254)
@@ -25,5 +25,4 @@
     <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
 
-    <center>
       <xsl:call-template name="standardPageBanner">
 	<xsl:with-param name="collName" select="$collName"/>
@@ -33,9 +32,8 @@
 	<xsl:with-param name="collName" select="$collName"/>
       </xsl:call-template>      
-      <xsl:apply-templates select="service">
+    <div class="document">
+     <xsl:apply-templates select="service">
 	<xsl:with-param name="collName" select="$collName"/>
       </xsl:apply-templates>
-    </center>
-
     <xsl:if test="documentNodeList">
       <xsl:call-template name="query-response">
@@ -43,7 +41,5 @@
       </xsl:call-template>
     </xsl:if>
-    <center>
-      <xsl:call-template name="dividerBar"/>
-    </center>
+   </div>
   </xsl:template>
   
Index: trunk/gsdl3/web/interfaces/classic/transform/style.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/classic/transform/style.xsl	(revision 13253)
+++ trunk/gsdl3/web/interfaces/classic/transform/style.xsl	(revision 13254)
@@ -15,23 +15,13 @@
     <html>
       <xsl:call-template name="pageHead"/>
-      <body>
-	<table border="0" cellspacing="0" cellpadding="0" width="100%">
-	  <td valign="top" width="65">
-	    <img src="interfaces/default/images/spacer.gif" width="65" height="1" alt="" border="0"/>
-	  </td>
-	  <td>
-	    <center>
-	      <table width="537">
-		<tr><td>
-		    <xsl:apply-templates select="pageResponse"/>
-		    <xsl:call-template name="greenstoneFooter"/>
-		  </td></tr>
-	      </table>
-	    </center>
-	  </td>
-	</table>
+      <body class="bgimage">
+	<div id="page">
+	   <xsl:apply-templates select="pageResponse"/>
+	   <xsl:call-template name="greenstoneFooter"/>                	   
+	</div>
       </body>
     </html>
   </xsl:template>
+
   
   <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
@@ -48,11 +38,22 @@
   <!-- any global style stuff should go in here -->
   <xsl:template name="globalStyle">
-    <link rel="stylesheet" href="interfaces/default/style/core.css" type="text/css"/>
+    <link rel="stylesheet" href="interfaces/classic/style/classic.css" type="text/css"/>
+     <link rel="stylesheet" href="interfaces/classic/style/classic2.css" type="text/css"/>
   </xsl:template>
   
   <xsl:template name="greenstonePageBanner">
-    <center><img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:attribute></img></center>
-    <xsl:call-template name="dividerBar"/>
-  </xsl:template>
+     <div id="banner">
+        <div class="collectimage">
+            <img src="interfaces/classic/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:attribute>
+            </img>
+	  </div>
+      </div>
+      <div class="bannerextra"></div>
+      <div id="content">
+        <xsl:call-template name="dividerBar">
+            <xsl:with-param name="text" select="'select a collection'"/> 
+        </xsl:call-template>
+      </div>			
+   </xsl:template>
 
   <xsl:template name="genericPageBanner">
@@ -81,8 +82,27 @@
     <xsl:param name="clTop"/>
     <xsl:variable name="this-element" select="/page/pageResponse/collection"/>
-    <table width="100%">
-      <tr>
-	<td align="left" rowspan="2">
-	  <a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
+     <div id="bannar">
+      <div class="pageinfo"> 
+          <xsl:call-template name="top-buttons">
+	    <xsl:with-param name="collName" select="$collName"/>
+	    <xsl:with-param name="pageType" select="$pageType"/>
+	  </xsl:call-template>
+          <xsl:if test="not(/page/pageRequest/@action='d')">
+  	<xsl:variable name="text">
+	  <xsl:choose>
+	    <xsl:when test="$pageType='browse'">
+	      <xsl:value-of select="/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier[@name=$clTop]/displayItem[@name='name']"/>
+	    </xsl:when>
+	    <xsl:otherwise>
+	      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, concat($pageType, '_t'))"/>
+	    </xsl:otherwise>
+	  </xsl:choose>
+	</xsl:variable>
+        <p class="bannertitle"><xsl:value-of select="$text"/></p>	 
+      </xsl:if>
+     </div>
+
+     <div class="collectimage">
+       <a href="{$library_name}?a=p&amp;sa=about&amp;c={$collName}">
 	    <xsl:choose>
 	      <xsl:when test="$this-element/displayItem[@name='icon']">
@@ -100,32 +120,11 @@
 	      </xsl:when>
 	      <xsl:otherwise>
-		<b><xsl:value-of select="$this-element/displayItem[@name='name']"/></b>
+		<b><xsl:value-of select="$this-element/displayItem[@name='name']"/>hello</b>
 	      </xsl:otherwise>
 	    </xsl:choose>
 	  </a>
-	</td>
-	<td align="right">
-	  <xsl:call-template name="top-buttons">
-	    <xsl:with-param name="collName" select="$collName"/>
-	    <xsl:with-param name="pageType" select="$pageType"/>
-	  </xsl:call-template>
-	</td>
-      </tr>
-      <xsl:if test="not(/page/pageRequest/@action='d')">
-	<xsl:variable name="text">
-	  <xsl:choose>
-	    <xsl:when test="$pageType='browse'">
-	      <xsl:value-of select="/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier[@name=$clTop]/displayItem[@name='name']"/>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, concat($pageType, '_t'))"/>
-	    </xsl:otherwise>
-	  </xsl:choose>
-	</xsl:variable>
-	<tr>
-	  <td valign='top' align='right' width="200" height="57" style="background: url(interfaces/nzdl/images/titleicon.gif) no-repeat right bottom"><b><font size="+2" color='black'><xsl:value-of select="$text"/>&#160;&#160;</font></b></td>
-	</tr>
-      </xsl:if>
-    </table>
+       </div>
+      </div>
+    <div class="bannerextra"></div>	
   </xsl:template>
   
@@ -133,41 +132,29 @@
     <xsl:param name="collName"/>
     <xsl:param name="pageType"/>
-    <table cellspacing='4'>
-      <tr>
-	<td class="gsbutton">
-	  <a class="gsbutton" href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
+    <p class="bannerlinks">
+      	  <a class="navlink" href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
 	    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/>
 	  </a>
-	</td>
-	<!-- 	      <xsl:choose>
+	<!-- <xsl:choose>
 	<xsl:when test="$pageType='help'">
-	<td class="gsbuttonoff">
+             <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
+        </xsl:when>
+	<xsl:otherwise>
+	  <a class="navlink" href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
 	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
-      </td>
-      </xsl:when>
-	<xsl:otherwise>
-	<td class="gsbutton">
-	<a class="gsbutton" href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
-	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
-      </a>
-      </td>
-      </xsl:otherwise>
+          </a>
+       </xsl:otherwise>
       </xsl:choose> -->
-	<xsl:choose>
+       <xsl:choose>
 	  <xsl:when test="$pageType='pref'">
-	    <td class="gsbuttonoff">
 	      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
-	    </td>
-	  </xsl:when>
+	   </xsl:when>
 	  <xsl:otherwise>
-	    <td class="gsbutton">
-	      <a class="gsbutton" href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
+	    <a class="navlink" href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
 		<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
-	      </a>
-	    </td>
-	  </xsl:otherwise>
-	</xsl:choose>
-      </tr>
-    </table>
+	    </a>
+	   </xsl:otherwise>
+	</xsl:choose>      
+    </p>
   </xsl:template>
   
@@ -178,9 +165,9 @@
     <xsl:variable name="this-service" select="/page/pageResponse/service/@name"/>
     <xsl:variable name="classifiers" select="$this-element/serviceList/service[@name='ClassifierBrowse']/classifierList"/>
-    <table border='0' cellspacing='0' width='100%'>
-      <tr>
-	<xsl:if test="$this-element/serviceList/service[@type='query']">
-	    <xsl:call-template name="navbar-search"><xsl:with-param name="collName" select="$collName"/></xsl:call-template>
-	</xsl:if>
+     <div class="navbar">
+       <p class="navbar">
+	 <xsl:if test="$this-element/serviceList/service[@type='query']">
+	   <xsl:call-template name="navbar-search"><xsl:with-param name="collName" select="$collName"/></xsl:call-template>
+	 </xsl:if>
 	
 	<xsl:for-each select="$classifiers/classifier">
@@ -194,6 +181,6 @@
 	  <xsl:call-template name="navbar-phind"><xsl:with-param name="collName" select="$collName"/></xsl:call-template>
 	</xsl:if>
-      </tr>
-    </table>
+       </p>
+      </div> 
   </xsl:template>
 
@@ -202,10 +189,10 @@
     <xsl:choose>
       <xsl:when test="/page/pageRequest/@action='q'">	  
-	<td class="navbaroff"><nobr>search</nobr></td>
+	   <span class="narspace">search</span>
       </xsl:when>
       <xsl:otherwise>
 	<xsl:variable name="service">
 	  <xsl:choose>
-	    <xsl:when test="not(/page/pageRequest/paramList/param[@name='ct'])">TextQuery</xsl:when>
+	    <xsl:when  test="not(/page/pageRequest/paramList/param[@name='ct'])">TextQuery</xsl:when>
 	    <xsl:when test="/page/pageRequest/paramList/param[@name='ct']/@value='0'">TextQuery</xsl:when>
 	    <xsl:when test="/page/pageRequest/paramList/param[@name='qt']/@value='1'"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='qfm']/@value='1'">AdvancedFieldQuery</xsl:when><xsl:otherwise>FieldQuery</xsl:otherwise></xsl:choose></xsl:when>
@@ -213,6 +200,5 @@
 	  </xsl:choose>
 	</xsl:variable>
-	
-	<td class="navbar"><a class="navbar" href="{$library_name}?a=q&amp;rt=d&amp;s={$service}&amp;c={$collName}"><xsl:attribute name='title'><xsl:value-of select="/page/pageResponse/collection/service[@name=$service]/displayItem[@name='description']"/></xsl:attribute><nobr>search</nobr></a></td>
+	<a class="navlink" href="{$library_name}?a=q&amp;rt=d&amp;s={$service}&amp;c={$collName}"><xsl:attribute name='title'><xsl:value-of select="/page/pageResponse/collection/service[@name=$service]/displayItem[@name='description']"/></xsl:attribute>search</a>
       </xsl:otherwise>
     </xsl:choose>
@@ -223,8 +209,8 @@
     <xsl:choose>
       <xsl:when test="/page/pageRequest/paramList/param[@name='s']/@value='PhindApplet'">
-	<td class="navbaroff"><nobr>phrases</nobr></td>
-      </xsl:when>
-      <xsl:otherwise>
-	<td class="navbar"><a class="navbar" href="{$library_name}?a=a&amp;rt=d&amp;s=PhindApplet&amp;c={$collName}"><xsl:if test="/page/pageResponse/collection/service[@name='PhindApplet']/displayItem[@name='description']"><xsl:attribute name='title'><xsl:value-of select="/page/pageResponse/collection/service[@name='PhindApplet']/displayItem[@name='description']"/></xsl:attribute></xsl:if><nobr>phrases</nobr></a></td>
+	    <span class="narspace">phrases</span>
+      </xsl:when>
+      <xsl:otherwise>
+	 <a class="navlink" href="{$library_name}?a=a&amp;rt=d&amp;s=PhindApplet&amp;c={$collName}"><xsl:if test="/page/pageResponse/collection/service[@name='PhindApplet']/displayItem[@name='description']"><xsl:attribute name='title'><xsl:value-of select="/page/pageResponse/collection/service[@name='PhindApplet']/displayItem[@name='description']"/></xsl:attribute></xsl:if>phrases</a>
       </xsl:otherwise>
     </xsl:choose>
@@ -236,43 +222,32 @@
     <xsl:choose>
       <xsl:when test="/page/pageRequest/@action='b' and $clTop=@name">
-	<td class="navbaroff"><nobr><xsl:value-of select="displayItem[@name='name']"/></nobr></td>
-      </xsl:when>
-      <xsl:otherwise>
-	<td class="navbar"><a class="navbar" href="{$library_name}?a=b&amp;rt=r&amp;s=ClassifierBrowse&amp;c={$collName}&amp;cl={@name}"><xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute><nobr><xsl:value-of select="displayItem[@name='name']"/></nobr></a></td>
+	 <span class="narspace"><xsl:value-of select="displayItem[@name='name']"/></span>
+      </xsl:when>
+      <xsl:otherwise>
+	<a class="navlink" href="{$library_name}?a=b&amp;rt=r&amp;s=ClassifierBrowse&amp;c={$collName}&amp;cl={@name}"><xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute><xsl:value-of select="displayItem[@name='name']"/></a>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
 
-  <xsl:template name="dividerBar">
+  <xsl:template name="dividerBar">   
     <xsl:param name='text'/>
-    <p><table width='537' border="0" cellpadding="0" cellspacing="0">
-      <tr><td valign='bottom' height='20' background='interfaces/default/images/greenbar.gif'><font size="+1" color="black"><b>&#160;<xsl:value-of select='$text'/></b></font></td></tr></table></p>
+      <xsl:choose>
+      <xsl:when test="$text">
+	 <div class="divbar"><p class="navbar"><xsl:value-of select="$text"/></p></div>
+      </xsl:when>
+      <xsl:otherwise>
+	 <div class="divbar"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></div>
+      </xsl:otherwise>
+    </xsl:choose> 
   </xsl:template>
   
   <xsl:template name="nzdlPageBanner">
-    <center>
-      <table width="537" cellspacing="0" cellpadding="0">
-	<tr valign="top">
-	  <td rowspan="2" align="left"><center><img src="interfaces/nzdl/images/nzdl2gr.gif" width="457" height="181" ><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'nzdl')"/></xsl:attribute></img></center></td>
-	  <td align="right"></td>
-	</tr>
-	
-	<tr>
-	  <td align="right"></td>
-	</tr>
-	
-	<tr>
-	  <td colspan="2"></td>
-	</tr>
-      </table>
-    </center>
-    <!-- end of page banner -->  
+       <div><img src="interfaces/nzdl/images/nzdl2gr.gif" width="457" height="181" ><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'nzdl')"/></xsl:attribute></img></div>
+       <!-- end of page banner -->  
   </xsl:template>
 
   <xsl:template name="greenstoneFooter">
-    <center>
-      <p/>
-      <small>powered by greenstone3</small>
-    </center>
+    <div class="divbar"><p class="navbar">powered by greenstone3</p>
+    </div>
   </xsl:template>
   
@@ -331,5 +306,5 @@
     <xsl:param name="title"/>
     <img border="0" width="28" height="23"
-      src="interfaces/default/images/openbook.gif"
+      src="interfaces/classic/images/openbook.gif"
       alt="{$alt}" title="{$title}"/>
   </xsl:template>
@@ -339,5 +314,5 @@
     <xsl:param name="title"/>
     <img border="0" width="18" height="11"
-      src="interfaces/default/images/book.gif"
+      src="interfaces/classic/images/book.gif"
       alt="{$alt}" title="{$title}"/>
   </xsl:template>
@@ -347,5 +322,5 @@
     <xsl:param name="title"/>
     <img border="0" width="23" height="15"
-      src="interfaces/default/images/openfldr.gif"
+      src="interfaces/classic/images/openfldr.gif"
       alt="{$alt}" title="{$title}"/>
   </xsl:template>
@@ -355,5 +330,5 @@
     <xsl:param name="title"/>
     <img border="0" width="23" height="15"
-      src="interfaces/default/images/clsdfldr.gif"
+      src="interfaces/classic/images/clsdfldr.gif"
       alt="{$alt}" title="{$title}"/>
   </xsl:template>
@@ -363,5 +338,5 @@
     <xsl:param name="title"/>
     <img border="0" width="16" height="21"
-      src="interfaces/default/images/itext.gif"
+      src="interfaces/classic/images/itext.gif"
       alt="{$alt}" title="{$title}"/>
   </xsl:template>
@@ -371,5 +346,5 @@
     <xsl:param name="title"/>
     <img border="0" width="20" height="16"
-      src="interfaces/default/images/bshelf.gif"  
+      src="interfaces/classic/images/bshelf.gif"  
       alt="{$alt}" title="{$title}"/>
   </xsl:template>
@@ -379,5 +354,5 @@
     <xsl:param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'texticonpdf')"/></xsl:param>
     <img border="0" width='26' height='26' 
-      src='interfaces/default/images/ipdf.gif' 
+      src='interfaces/classic/images/ipdf.gif' 
       alt='{$alt}' title='{$title}'/>
   </xsl:template>
@@ -387,5 +362,5 @@
     <xsl:param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'texticonmsword')"/></xsl:param>
     <img border="0" width='26' height='26' 
-      src='interfaces/default/images/imsword.gif' 
+      src='interfaces/classic/images/imsword.gif' 
       alt='{$alt}' title='{$title}'/>
   </xsl:template>
